<?php
        include '../../system/core.php';
$_title = 'Портфолио';
        include '../../system/header.php';
        
  if(!$user['id']){
  header('Location: /index.php'); exit;
  }
  
          echo '<a href="/porte"><div class="tegi">Портфолио</div></a>';
 
  
         switch($_GET['p']){
         default: 
  //////////главная////////////
  $cop = 10;
  $ca = mysql_result(mysql_query("SELECT COUNT(*) FROM `porte`"),0);
  $cp = ceil($ca/$cop);
  if(isset($_GET['p']) && is_numeric($_GET['p'])){
  $p = $_GET['p'];
  if($_GET['p']>$cp) $p = $cp;
  if($_GET['p']<1)$p = 1;
  }else{
  $p = 1;
  }
  $start = $p*$cop-$cop;
  $porte = mysql_query("SELECT * FROM `porte` ORDER BY `id` DESC LIMIT $start,$cop");
  $port = mysql_fetch_array(mysql_query('select * from `porte` where `who` = "'.$user['id'].'"'));
   
  if($port == 0){
  echo '<div class="post2"><a href="/porte/new">Создать портфолио</a></div>';
  }else{
  echo '<div class="post2"><a href="/porte/my">Моё портфолио</a></div>';
  }
  

  while($porte2 = mysql_fetch_assoc($porte)){
  $us = mysql_fetch_array(mysql_query('select * from `user` where `id` = '.$porte2['who'].''));
  echo '<div class="post2">Портфолио пользователя: '.ustatus($porte2['who']).' <a href="/us'.$porte2['who'].'">'.uname($porte2['who']).'</a> '.uaccess($porte2['who']).' 
 <br>
  Деятельность: <b>'.$porte2['dey'].'</b><br>
  Рейтинг: '.$us['rating'].'<br/>';
  echo '<a href="/porte/inf'.$porte2['who'].'">Подробнее</a></div>';
  }
  
     echo '<div class="levo">Стр. ';
  if($p-2>0) echo '<a href="/porte?p=1"><<</a> ';
  if($p-1>0) echo '<a href="/porte?p='.($p-1).'"><</a> ';

  if($p-3>0) echo '<a href="/porte?p='.($p-3).'">'.($p-3).'</a> | ';
  if($p-2>0) echo '<a href="/porte?p='.($p-2).'">'.($p-2).'</a> | ';  
  if($p-1>0) echo '<a href="/porte?p='.($p-1).'">'.($p-1).'</a> | ';
  
  echo '<b>'.$p.'</b>';
  if($p+1<=$cp) echo ' | <a href="/porte?p='.($p+1).'">'.($p+1).'</a>';
  if($p+2<=$cp) echo ' | <a href="/porte?p='.($p+2).'">'.($p+2).'</a>';
  if($p+3<=$cp) echo ' | <a href="/porte?p='.($p+3).'">'.($p+3).'</a>';

  if($p+1<=$cp) echo ' <a href="/porte?p='.($p+1).'">></a>';
  if($p+2<=$cp) echo ' <a href="/porte?p='.ceil($ca/$cop).'">>></a>';
  echo '</div>';
  
  
  //////////главная////////////
  break;

  case 'new':
  //////////новое портфолио////////////
   $port = mysql_fetch_array(mysql_query('select * from `porte` where `who` = "'.$user['id'].'"'));
   
   if($port){
  header('Location: /porte/my'); exit;
  }
  
  if(isset($_POST['submit'])){
  
  $dey = TextGuard($_POST['dey']);
  if(empty($dey)) $err[] = 'Вы не ввели свою спецификацию..';

  $prog = TextGuard($_POST['prog']);
  if(empty($prog)) $err[] = 'Вы не ввели использованную программу..';
  
  $har = TextGuard($_POST['har']);
  if(empty($har)) $err[] = 'Вы не ввели свою характеристику..';
  
   $status = TextGuard($_POST['status']);
   
  if(!$err){

  		mysql_query("INSERT INTO `porte`(
			`prog`,
			`who`,
			`dey`,
      `har`,
      `time`,
      `status`
			)VALUES(
			'".$prog."',
			'".$user['id']."',
			'".$dey."',
			'".$har."',
			'".time()."',
			'".$status."'
			)");
			
			header('Location: /porte/my'); exit;
			
			 }else{
  echo '<div class="err"><b>';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</b></div>';
  }
  }
  
 echo '
  <div class="post1"><form action="" method="post">
 
  Деятельность (дизайнер, фотошопер и т.д.):<br><input name="dey"/><br>
Используемые программы:<br><input name="prog"/><br>
Описание: (стаж, средняя цена работы):<br><textarea name="har" style="width:98%;" rows="3"></textarea><br>
  <input type="radio" name="status" value="1" checked="checked" /> Свободен для заказов<br>
  <input type="radio" name="status" value="0"/> Недоступен для заказов<br>
  <input type="submit" value="Добавить" name="submit"/>
  </form></div>
  ';
  //////////новое портфолио////////////
  break;
  case 'my':
  //////////мое портфолио////////////
$us = mysql_fetch_array(mysql_query('select * from `user` where `id` = '.$id.''));
  $port = mysql_fetch_array(mysql_query('select * from `porte` where `who` = "'.$user['id'].'"'));
   
   if($port == 0){
  header('Location: /porte/new'); exit;
  }
             
if(isset($_GET['del'])){
echo '<div class="post2">Удалить портфолио? <br/><a href="/porte/my?del_ok">Да, удалить</a></div>';
  }
if(isset($_GET['del_ok'])){
 
mysql_query("DELETE FROM `porte` WHERE `who` = '".$us['id']."'");
mysql_query("DELETE FROM `porte_r` WHERE `who` = '".$us['id']."'");
mysql_query("DELETE FROM `porte_rab` WHERE `who` = '".$us['id']."'");
  header('Location: /porte'); exit;
  }
  echo ' <div class="tegi"><font color="white">Информация</font></div><div class="post2">
<b>Деятельность</b>: '.$port['dey'].'<br>
<b>Используемые программы</b>: '.$port['prog'].'<br>
<b>Описание</b>: '.$port['har'].'<br/>
<b>Статус</b>:';
  if($port['status'] == 0){
  echo ' <font color="red"><b>Недоступен для заказов</b></font>';
  }else{
  echo ' <font color="green"><b>Свободен для заказов</b></font>';
  }
  echo '</div>';
  echo '<div class="post2"><a href="/porte/red">Изменить</a></div>';
echo '<div class="post2"><a href="?del">Удалить</a></div>';
  echo '<div class="post1"><a href="/porte/pap">Создать папку</a></div>';
  echo '<div class="post2"><a href="/porte/newrab">Добавить работу</a></div>';
  
  if(mysql_result(mysql_query('select count(`id`) from `porte_r` where `who` = "'.$user['id'].'" '),0) != 0)
  {
  $porte_p = mysql_query("SELECT * FROM `porte_r` WHERE `who` = '".$user['id']."'");
  echo ' <div class="tegi">Список папок</div>';
  while($porte_p2 = mysql_fetch_assoc($porte_p)){
  echo '<a href="/porte/map'.$porte_p2['id'].'"><div class="post1"><img src="/img/papka.png" wight="18" height="18"> '.$porte_p2['name'].' </div></a>';
  }
  }else{
echo ' <div class="tegi">Список папок</div>';
  echo '<div class="post2"><b>Папок еще нету</b></div>';
  }
  
  //////////мое портфолио////////////
  break;
  case 'red':
  //////////редактирование портфолио////////////
  $por = mysql_fetch_array(mysql_query('select * from `porte` where `who` = "'.$user['id'].'"'));
   
   if($por == 0){
  header('Location: /porte/new'); exit;
  }
  
  if(isset($_POST['red'])){
  
  $deyt = TextGuard($_POST['deyt']);
  if(empty($deyt)) $err[] = 'Вы не ввели свою спецификацию';

  $progr = TextGuard($_POST['progr']);
  if(empty($progr)) $err[] = 'Вы не ввели использованную программу';
  
  $hare = TextGuard($_POST['hare']);
  if(empty($hare)) $err[] = 'Вы не ввели свою характеристику';
  
   $statuss = TextGuard($_POST['statuss']);
   
  if(!$err){
	mysql_query("UPDATE `porte` SET `prog`='".$progr."',`dey`='".$deyt."',`har`='".$hare."',`status`='".$statuss."' WHERE `who`='".$user['id']."' limit 1");
			
			header('Location: /porte/my'); exit;
			
			 }else{
  echo '<div class="err">';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</div>';
  }
  }
  
  echo '
  <div class="post1"><form action="" method="post">
 Деятельность (дизайнер, фотошопер и т.д.):<br><textarea name="deyt" style="width:98%;" rows="3">'.$por['dey'].'</textarea><br>
  Используемые программы:<br><textarea name="progr" style="width:98%;" rows="3">'.$por['prog'].'</textarea><br>
Описание: (стаж, средняя цена работы):<br><textarea name="hare" style="width:98%;" rows="3">'.$por['har'].'</textarea><br>
  <input type="radio" name="statuss" value="1" checked="checked" /> Свободен для заказов<br>
  <input type="radio" name="statuss" value="0"/> Недоступен для заказов<br>
  <input type="submit" value="Изменить" name="red"/>
  </form></div>
  ';
  //////////редактирование портфолио////////////
   //////////новая папка////////////
  break;
  case 'pap':
  
  $portf = mysql_fetch_array(mysql_query('select * from `porte` where `who` = "'.$user['id'].'"'));
   
   if($portf == 0){
  header('Location: /porte/new'); exit;
  }
  
    if(isset($_POST['papk'])){
  
  $name = TextGuard($_POST['name']);
  if(empty($name)) $err[] = 'Вы не ввели название папки..';
   
  if(!$err){

  		mysql_query("INSERT INTO `porte_r`(
			`name`,
			`who`
			)VALUES(
			'".$name."',
			'".$user['id']."'
			)");
			
			header('Location: /porte/my'); exit;
			
			 }else{
  echo '<div class="err">';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</div>';
  }
  }
  
  echo '<div class="post1"><form action="" method="post">
  Название папки:<br><input name="name"/><br>
  <input type="submit" value="Создать" name="papk"/>
  </form></div>';
  
  //////////новая папка////////////
  break;
  case 'map':
  //////////вывод папок////////////
   
  $id = TextGuard($_GET['id']);
  $porte_r = mysql_fetch_array(mysql_query('select * from `porte_r` where `id` = '.$id.' limit 1'));
  if(empty($id) or !is_numeric($id) or $porte_r == 0){
  header('Location: /porte'); exit;
  }
  
  $cop = 10;
  $ca = mysql_result(mysql_query("SELECT COUNT(*) FROM `porte_rab` where `pap` = '".$id."'"),0);
  $cp = ceil($ca/$cop);
  if(isset($_GET['p']) && is_numeric($_GET['p'])){
  $p = $_GET['p'];
  if($_GET['p']>$cp) $p = $cp;
  if($_GET['p']<1)$p = 1;
  }else{
  $p = 1;
  }
  $start = $p*$cop-$cop;
  $porte_rab = mysql_query("SELECT * FROM `porte_rab` where `pap` = '".$id."' ORDER BY `id` DESC LIMIT $start,$cop");
  
  
  if(mysql_result(mysql_query('select count(`id`) from `porte_rab` where `pap` = "'.$id.'" '),0) != 0)
  { 
   while($porte_rab2 = mysql_fetch_assoc($porte_rab)){
  echo '<a href="/porte/rabot'.$porte_rab2['id'].'"><div class="post1">'.$porte_rab2['namer'].'</div></a>';
  
  }
  
   echo '<div class="levo">Стр. ';
  if($p-2>0) echo '<a href="/porte/map'.$id.'?p=1"><<</a> ';
  if($p-1>0) echo '<a href="/porte/map'.$id.'?p='.($p-1).'"><</a> ';

  if($p-3>0) echo '<a href="/porte/map'.$id.'?p'.($p-3).'">'.($p-3).'</a> | ';
  if($p-2>0) echo '<a href="/porte/map'.$id.'?p='.($p-2).'">'.($p-2).'</a> | ';  
  if($p-1>0) echo '<a href="/porte/map'.$id.'?p='.($p-1).'">'.($p-1).'</a> | ';
  
  echo '<b>'.$p.'</b>';
  if($p+1<=$cp) echo ' | <a href="/porte/map'.$id.'?p='.($p+1).'">'.($p+1).'</a>';
  if($p+2<=$cp) echo ' | <a href="/porte/map'.$id.'?p='.($p+2).'">'.($p+2).'</a>';
  if($p+3<=$cp) echo ' | <a href="/porte/map'.$id.'?p='.($p+3).'">'.($p+3).'</a>';

  if($p+1<=$cp) echo ' <a href="/porte/map'.$id.'?p='.($p+1).'">></a>';
  if($p+2<=$cp) echo ' <a href="/porte/map'.$id.'?p='.ceil($ca/$cop).'">>></a>';
  echo '</div>';
  
  }else{
  echo '<div class="post2"><b>Пусто</b></div>';
  }
  
  //////////вывод папок////////////
  break;
  case 'newrab':
  //////////добавление работы////////////
   
  $port_ro = mysql_fetch_array(mysql_query('select * from `porte_rab` where `who` = "'.$user['id'].'"'));
   
  $portfee = mysql_fetch_array(mysql_query('select * from `porte` where `who` = "'.$user['id'].'"'));
  
  if($portfee == 0){
  header('Location: /porte/new'); exit;
  }
  
  $port_raz = mysql_fetch_array(mysql_query('select * from `porte_r` where `who` = "'.$user['id'].'"'));
   
  if($port_raz == 0){
  header('Location: /porte/pap'); exit;
  }
  
    if(isset($_POST['rab'])){
  
  $name = TextGuard($_POST['name']);
  if(empty($name)) $err[] = 'Вы не ввели название работы..';
  
   $opis = TextGuard($_POST['opis']);
  if(empty($opis)) $err[] = 'Вы не ввели описание работы..';
  
  $rub = TextGuard($_POST['rub']);
  if(empty($opis)) $err[] = 'Вы не ввели цену работы..';
  
  $pap = TextGuard($_POST['pap']);
  
 if(@file_exists($_FILES['filename']['tmp_name'])){
 
  if($_FILES['filename']['size'] != 0 and $_FILES['filename']['size'] > 1024000) $err[] = 'Слишком большой файл..';
  
  $filetype = array ( 'jpg', 'gif', 'png' );
  $upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], "." )+1);  
  
  if(!in_array($upfiletype,$filetype)) $err[] = 'Вы пытаетесь загрузить недопустимый формат файла..';
  
  }
   
  if(!$err){

  if(@file_exists($_FILES['filename']['tmp_name'])) $fn = date('dmY').'_fn'.rand(1234,5678).'_'.$_FILES['filename']['name']; else $fn = NULL;
	if(@file_exists($_FILES['filename']['tmp_name'])){  
  move_uploaded_file($_FILES['filename']['tmp_name'], "files/".$fn."");
  }

  		mysql_query("INSERT INTO `porte_rab`(
			`namer`,
			`pap`,
			`opis`,
			`rub`,
			`who`,
			`file`
			)VALUES(
			'".$name."',
			'".$pap."',
			'".$opis."',
			'".$rub."',
			'".$user['id']."',
			'".$fn."'
			)");
			
			header('Location: /porte/my'); exit;
			
			 }else{
  echo '<div class="err">';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</div>';
  }
  }
  
  echo '<div class="post1"><form action="" method="post" enctype="multipart/form-data">
Название работы:<br><input name="name"/><br>Выберите папку:<br><select name="pap">';
  
  $po_rte_ra = mysql_query('select * from `porte_r` where `who` = "'.$user['id'].'"');
  while($rob2 = mysql_fetch_array($po_rte_ra)){
  echo '<option value="'.$rob2['id'].'">'.$rob2['name'].'</option>';
  }
  
  echo '</select><br>
  <b>Скриншот работы:</b><br><input type="file" name="filename"/><br>
  Описание:<br><textarea name="opis" style="width:98%;" rows="3"></textarea><br>
  Цена:<br><input name="rub"/><br>
  <input type="submit" value="Создать" name="rab"/></form></div>';
  //////////добавление работы////////////
  break;
  case 'rabot':
  //////////вывод работ////////////
   
   $id = TextGuard($_GET['id']);
  $porte_rab = mysql_fetch_array(mysql_query('select * from `porte_rab` where `id` = '.$id.' limit 1'));
  if(empty($id) or !is_numeric($id) or $porte_rab == 0){
  header('Location: /porte'); exit;
  }
if(isset($_GET['del']) && $user['status'] >= 4){
echo '<div class="post2">Удалить работу? <br/><a href="/porte/rabot'.$porte_rab['id'].'?del_ok">Да, удалить</a></div>';
  }
 if(isset($_GET['del_ok']) && $user['status'] >= 4){
mysql_query("DELETE FROM `porte_rab` WHERE `id` = '".$id."'");
  header('Location: /porte'); exit;
  }
echo '<div class="post1">Работа '.ustatus($porte_rab['who']).' <a href="/us'.$porte_rab['who'].'">'.uname($porte_rab['who']).'</a> '.uaccess($porte_rab['who']).'<br/>Название: '.$porte_rab['namer'].'</div>';
  if(!$porte_rab['file']){
  }else{
  echo '<div class="post1"><b>Скриншот</b></br><center><a href="/modules/porte/files/'.$porte_rab['file'].'">
  <img src="/modules/porte/files/'.$porte_rab['file'].'" alt="*" width="80" height="80"/></a></center></div>';
  }
echo '<div class="post1">';
if($user['status'] == 4){
echo '<a href="?del">Удалить работу</a><br/>';
}

  echo 'Описание: <b>'.$porte_rab['opis'].'</b><br/>';
  echo 'Цена: <font color="green"><b>'.$porte_rab['rub'].' р.</b></font></div>';
 
  
  //////////добавление работы////////////
  break;
  case 'inf':
  //////////вывод портфолио////////////
  
  $id = TextGuard($_GET['id']);
  
            if(empty($id) or !is_numeric($id))
            {
            header('Location: /index.php '); exit;
            }
            
            $us = mysql_fetch_array(mysql_query('select * from `user` where `id` = '.$id.''));
            $porte = mysql_fetch_array(mysql_query('select * from `porte` where `who` = '.$us['id'].''));
            
            if($porte == 0){
            echo '<div class="post2">Пусто</div>';
            }else{
            
if(isset($_GET['del']) && $user['status'] >= 4){
echo '<div class="post2">Удалить портфолио? <br/><a href="/porte/inf'.$porte['who'].'?del_ok">Да, удалить</a></div>';
  }
 if(isset($_GET['del_ok']) && $user['status'] >= 4){
mysql_query("DELETE FROM `porte` WHERE `who` = '".$us['id']."'");
mysql_query("DELETE FROM `porte_r` WHERE `who` = '".$us['id']."'");
mysql_query("DELETE FROM `porte_rab` WHERE `who` = '".$us['id']."'");
  header('Location: /porte'); exit;
  }

  echo ' <div class="tegi"><font color="white">Информация</font></div><div class="post2">
<b>Деятельность</b>: '.$porte['dey'].'<br>
<b>Используемые программы</b>: '.$porte['prog'].'<br>
<b>Описание</b>: '.$porte['har'].'<br/>
<b>Статус</b>:';
  if($porte['status'] == 0){
  echo ' <font color="red"><b>Недоступен для заказов</b></font>';
  }else{
  echo ' <font color="green"><b>Свободен для заказов</b></font>';
  }
if($user['status'] == 4){
echo '<br/><a href="?del">Удалить портфолио</a>';
}
echo '</div>';
  if(mysql_result(mysql_query('select count(`id`) from `porte_r` where `who` = "'.$us['id'].'" '),0) != 0)
  {
  $porte_p = mysql_query("SELECT * FROM `porte_r` WHERE `who` = '".$us['id']."'");
  echo ' <div class="tegi"><font color="white">Папки с работами</font></div>';
  while($porte_p2 = mysql_fetch_assoc($porte_p)){
 echo '<a href="/porte/map'.$porte_p2['id'].'"><div class="post1"><img src="/img/papka.png" wight="18" height="18"> '.$porte_p2['name'].' </div></a>';
  }
  }else{
  echo ' <div class="tegi"><font color="white">Папки с работами</font></div>';
  echo '<div class="post2"><b>Папок еще нету</b></div>';
  }
  }

  break;
    }
    
    include '../../system/footer.php';
    
?> 